// @flow
import batch from './batch';
import bulkUpdate from './bulk/update';
import campaigns from './list/campaigns';
import cases from './list/cases';
import companies from './list/companies';
import contact from './details/contact';
import contacts from './list/contacts';
import documents from './list/documents';
import driveFiles from './list/drive-files';
import entityEvents from './list/entity-events';
import entityTasks from './list/entity-tasks';
import expenses from './list/expenses';
import folders from './list/folders';
import inviteProjectExternal from './details/inviteProjectExternal';
import inviteProjectMember from './details/inviteProjectMember';
import inviteWorkspaceExternal from './details/inviteWorkspaceExternal';
import inviteWorkspaceMember from './details/inviteWorkspaceMember';
import invoices from './list/invoices';
import streamGroup from './details/stream-group';
import streamGroups from './list/stream-groups';
import leads from './list/leads';
import listings from './list/listings';
import openHouses from './list/open-houses'
import opportunities from './list/opportunities';
import projects from './list/projects';
import properties from './list/properties';
import relatedCampaigns from './list/related-campaigns';
import relatedCases from './list/related-cases';
import relatedCompanies from './list/related-companies';
import relatedContacts from './list/related-contacts';
import relatedLeads from './list/related-leads';
import relatedListings from './list/related-listings';
import relatedOffers from './list/related-offers';
import relatedOpportunities from './list/related-opportunities';
import relatedRequests from './list/related-requests';
import requests from './list/requests';
import socialInterests from './list/social-interests';
import stageHistory from './list/stage-history';
import stages from './list/stages';
import task from './details/task';
import tasks from './list/tasks';
import tasksBulk from './bulk/tasks';
import tasksSections from './list/tasks-sections';
import transactions from './list/transactions';
import workspaceMembers from './list/workspace-members';
import workspaces from './list/workspaces';
import relatedEvents from './list/related-events';
import relatedTasks from './list/related-tasks';
import calendarEvent from './details/calendar-event';
import calendarEvents from './list/calendar-events';
import calendarCategories from './list/calendar-categories';
import calendarCategory from './details/calendar-category';
import calendarTypes from './list/calendar-types';
import user from './details/user';
import users from './list/users';
import calendarType from './details/calendar-type';
import activityList from './list/activity-list';
import workspace from './details/workspace';
import file from './details/file';
import files from './list/files';
import campaign from './details/campaign';
import caseDetails from './details/case';
import company from './details/company';
import favorite from './details/favorite';
import lead from './details/lead';
import listing from './details/listing';
import opportunity from './details/opportunity';
import opportunityDetach from './details/opportunity-detach';
import property from './details/property';
import request from './details/request';
import transaction from './details/transaction';
import projectTask from './details/project-task';
import listView from './details/list-view';
import listViews from './list/list-views';
import emails from './list/emails';
import email from './details/email';
import emailSend from './details/email-send';
import emailForward from './details/email-forward.js';
import workspaceActivities from './list/workspace-activities';
import workspaceActivity from './details/workspace-activity';

export default (baseURL: string) => ({
	activityList           : activityList(baseURL),
	batch                  : batch(baseURL),
	bulkUpdate             : bulkUpdate(baseURL),
	calendarCategories     : calendarCategories(baseURL),
	calendarCategory       : calendarCategory(baseURL),
	calendarEvents         : calendarEvents(baseURL),
	calendarType           : calendarType(baseURL),
	calendarTypes          : calendarTypes(baseURL),
	campaign               : campaign(baseURL),
	campaigns              : campaigns(baseURL),
	caseDetails            : caseDetails(baseURL),
	cases                  : cases(baseURL),
	companies              : companies(baseURL),
	company                : company(baseURL),
	contact                : contact(baseURL),
	contacts               : contacts(baseURL),
	documents              : documents(baseURL),
	driveFiles             : driveFiles(baseURL),
	email                  : email(baseURL),
	emailForward           : emailForward(baseURL),
	emails                 : emails(baseURL),
	emailSend              : emailSend(baseURL),
	entityEvents           : entityEvents(baseURL),
	entityTasks            : entityTasks(baseURL),
	event                  : calendarEvent(baseURL),
	expenses               : expenses(baseURL),
	favorite               : favorite(baseURL),
	file                   : file(baseURL),
	files                  : files(baseURL),
	folders                : folders(baseURL),
	inviteProjectExternal  : inviteProjectExternal(baseURL),
	inviteProjectMember    : inviteProjectMember(baseURL),
	inviteWorkspaceExternal: inviteWorkspaceExternal(baseURL),
	inviteWorkspaceMember  : inviteWorkspaceMember(baseURL),
	invoices               : invoices(baseURL),
	lead                   : lead(baseURL),
	leads                  : leads(baseURL),
	listing                : listing(baseURL),
	listings               : listings(baseURL),
	listView               : listView(baseURL),
	listViews              : listViews(baseURL),
	openHouses             : openHouses(baseURL),
	opportunities          : opportunities(baseURL),
	opportunity            : opportunity(baseURL),
	opportunityDetach      : opportunityDetach(baseURL),
	projects               : projects(baseURL),
	projectTask            : projectTask(baseURL),
	properties             : properties(baseURL),
	property               : property(baseURL),
	relatedCampaigns       : relatedCampaigns(baseURL),
	relatedCases           : relatedCases(baseURL),
	relatedCompanies       : relatedCompanies(baseURL),
	relatedContacts        : relatedContacts(baseURL),
	relatedEvents          : relatedEvents(baseURL),
	relatedLeads           : relatedLeads(baseURL),
	relatedListings        : relatedListings(baseURL),
	relatedOffers          : relatedOffers(baseURL),
	relatedOpportunities   : relatedOpportunities(baseURL),
	relatedRequests        : relatedRequests(baseURL),
	relatedTasks           : relatedTasks(baseURL),
	request                : request(baseURL),
	requests               : requests(baseURL),
	socialInterests        : socialInterests(baseURL),
	stageHistory           : stageHistory(baseURL),
	stages                 : stages(baseURL),
	streamGroup            : streamGroup(baseURL),
	streamGroups           : streamGroups(baseURL),
	task                   : task(baseURL),
	tasks                  : tasks(baseURL),
	tasksBulk              : tasksBulk(baseURL),
	tasksSections          : tasksSections(baseURL),
	transaction            : transaction(baseURL),
	transactions           : transactions(baseURL),
	user                   : user(baseURL),
	users                  : users(baseURL),
	workspace              : workspace(baseURL),
	workspaceActivities    : workspaceActivities(baseURL),
	workspaceActivity      : workspaceActivity(baseURL),
	workspaceMembers       : workspaceMembers(baseURL),
	workspaces             : workspaces(baseURL),
});
